package de.intevation.flys.artifacts.model.sq;

public class Sieve
{
    public static final double EPSILON = 1e-6;

    protected double diameter;
    protected double load;

    /**
     * Constructs a new instance.
     */
    public Sieve() {
        this(Double.NaN, Double.NaN);
    }

    public Sieve(double diameter, double load) {
        this.diameter = diameter;
        this.load = load;
    }

    /**
     * Gets the diameter for this instance.
     *
     * @return The diameter.
     */
    public double getDiameter() {
        return this.diameter;
    }

    /**
     * Sets the diameter for this instance.
     *
     * @param diameter The diameter.
     */
    public void setDiameter(double diameter) {
        this.diameter = diameter;
    }

    /**
     * Gets the load for this instance.
     *
     * @return The load.
     */
    public double getLoad() {
        return this.load;
    }

    /**
     * Sets the load for this instance.
     *
     * @param load The load.
     */
    public void setLoad(double load) {
        this.load = load;
    }

    public boolean matchesDiameter(double diameter) {
        return Math.abs(diameter - this.diameter) < EPSILON;
    }

    public boolean hasDiameter() {
        return !Double.isNaN(diameter);
    }
}
// vim:set ts=4 sw=4 si et sta sts=4 fenc=utf8 :
